from PySide import QtCore, QtGui
import maya.cmds as cmds

import subprocess

#Custom list view to allow right click content check on History list
class HistoryList(QtGui.QListWidget):
    def __init__(self, parent):
        super(HistoryList,self).__init__()
    
    def mousePressEvent(self, event):
        if event.type() == QtCore.QEvent.MouseButtonPress:
            pos = self.mapFromGlobal(QtGui.QCursor.pos())
            row = self.indexAt(pos).row()
            
            if event.button() == QtCore.Qt.RightButton:
                
                subprocess.Popen('explorer '+self.item(row).text().replace('/', '\\'))
                
            else:
                super(HistoryList, self).mousePressEvent(event)