import maya.standalone as st
st.initialize(name='python')

import maya.mel as mel

import sys
import traceback

mainPath = os.environ['MAYA_APP_DIR']+ "/scripts/LarianStudiosModTools/" #Best guess for maya path install
scriptPath = "ASSETS/Art/Scripts_Shaders_Presets/Maya_Scripts"
sys.path.append(mainPath)#add the server path for the util package

from MLEUtils import MLEUtils, GrannyAnimationExporter

print sys.argv

BaseFile = sys.argv[2]
TargetPath = sys.argv[3]
doFullRange = sys.argv[4] in 'True'
doEditSetting = sys.argv[5] in 'True'
doCreateDebugLog = sys.argv[6] in 'True'
animExportQuality = int(sys.argv[7])
if not doFullRange:
    rangeSelection = sys.argv[8].replace('*', ' ').split(',')
else:
    rangeSelection = []






file = open(mainPath+"chunk.txt")

fileList = file.read()[:-1].split('#')

file.close()

#print "FILE LIST AT ANIMS HEEEEEEEEEEEEEEEEEEEEEEEEEERRRRRRRRRRRRRRRREEEEEEEEEEEEEEEE"
#print fileList
progress = 0
for file in fileList:
    progress = progress+1
    
    sys.stdout.write("\rI AM NOW AT FILE " + str(progress) + " OF " + str(len(fileList))+"")
    try:
        GrannyAnimationExporter.GrannyAnimationExport(file, BaseFile, TargetPath, doFullRange, rangeSelection, doEditSetting, False, doCreateDebugLog, animExportQuality)
    except:
        if doCreateDebugLog:
            MLEUtils.writeToDebugLog("error with file " + file)
            MLEUtils.writeToDebugLog(traceback.format_exc())
        
        print traceback.format_exc()
        print "error with file " + file
        
        