import maya.standalone as st
st.initialize(name='python')

import maya.mel as mel

#python imports
import sys


mainPath = os.environ['MAYA_APP_DIR']+ "/scripts/LarianStudiosModTools/" #Best guess for maya path install
scriptPath = "ASSETS/Art/Scripts_Shaders_Presets/Maya_Scripts"
sys.path.append(mainPath) #add the server path for the util package


from MLEUtils import GrannyMeshExporter


#expected sys given vars
sourceFile = sys.argv[1]
targetPath = sys.argv[2]
selectedLayers = sys.argv[3].split(',')
doVisual = sys.argv[4] in 'True'
doVertex = sys.argv[5] in 'True'
doPhysics = sys.argv[6] in 'True'
doIncludeBones = sys.argv[7] in 'True'
doEditsettings = sys.argv[8] in 'True'


GrannyMeshExporter.GrannyMeshExport(sourceFile, targetPath, selectedLayers, doVisual, doVertex, doIncludeBones, doEditsettings, False)